Description

The functionality of hide() is the same as archive() but with a better nomenclature considering DataONE is an archive and we

essentially archive all content as our core mission.

We also need to reverse the hide() operation which could be named display().

These two terms are not set.  Other combinations should be used such as

conceal() and  expose() 

or

veil() and unveil() 

or some other permutation that makes sense: hide & expose/conceal & unveil, etc.

The main issue is coming up with good terms that helps clarify the intent of making an item not discoverable by search but still

listable, resolvable, navigable and retrievable. 

Related issues:

Related to Infrastructure - Task #4265: Deprecate MNStorage.archive() and CNC... Closed 2014-02-12

History

#1 - 2014-07-10 00:42 - Ben Leinfelder

When was this decided?

Hiding and showing should probably be accomplished through access control updates. No one can read it? Hidden!

Archive is an "almost delete" action, least that's how it has been in v1.

#2 - 2014-07-17 17:25 - Chris Jones

I don't recall a decision to add hide() and display() API methods.  I think this needs review.

#3 - 2014-07-17 21:17 - Matthew Jones

I don't think this was decided -- it was just a proposal.  In general, I'm not supportive of renaming methods -- it causes dissonance for people who

have already implemented, and extra work.  And these names are not necessarily any clearer than the original names for the methods.  I don't see

this change as being beneficial on net.

#4 - 2014-07-17 23:32 - Robert Waltz

All of the tasks in Story #3755: Structural changes to D1 APIs for 2.0 release were proposals.

We are deciding their fate now.
There has been much disagreement in this group about what archive means, what it does, and if it is necessary. We have had numerous discussions

(and IMO much time wasted) about 'archive'. This task is a result of one of the most recent discussions on the topic.

This proposal was added in order to clarify what 'archive' really does. This task is not a proposal to decrement or change the behavior of archive,

although it allows us in the future to redefine 'archive' or remove the method, if desired.  This task is a proposal to add clarification to a procedure to

better reveal its intention. This task also proposes that we add a mechanism to reverse setting archive to true.

I trust that others (more than those who have commented on this as of now) will be able comment before a decision is arrived at.

#5 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0

#6 - 2015-01-06 19:12 - Robert Waltz

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0
